import { Aes } from "gxbjs";

/**
 * 加密消息体
 * @param params
 * @param private_key
 * @param public_key
 * @returns {string}
 */
export var encrypt_params = function encrypt_params(params, private_key, public_key, nonce) {
  var msg = JSON.stringify(params);
  return Aes.encrypt_with_checksum(private_key, public_key, nonce || "", new Buffer(msg, "utf-8")).toString("hex");
};

/**
 * 解密消息体
 * @param msg
 * @param private_key
 */
export var decrypt_msg = function decrypt_msg(msg, private_key, public_key_string, nonce) {
  var descrypted_msg = Aes.decrypt_with_checksum(private_key, public_key_string || private_key.toPublicKey().toPublicKeyString(), nonce || "", new Buffer(msg, "hex")).toString("utf-8");
  return descrypted_msg;
};